R1 and R2 in BRepFilletAPI_MakeFillet

Hi All:
I would like to apply R1 and R2 to the end of an edge in BRepFilletAPI_MakeFillet.Add(R1,R2,anEdge). From the manual, it says that it's between first and last vertex of the spline. I assume that R1 is applied to first vertex and R2 is applied to the last vertex. I would like to know how to get the first of last vertices of the spline.

Thanks in advance.

Sean

seanliu's picture

Sorry. I meant spine, not spline.
The exact description from the manual is
"sets of linear radius evolution law between the first and last vertex of the spine.

Here is more explanation of my question:
I would like to apply fillet to a single edge (say anEdge) with different radius on both ends.
When I use the following code to get the vertices:

TopExp_Explorer aVertexExplorer(anEdge, TopAbs_VERTEX);
while (aVertexExplorer.More())
{
TopoDS_Vertex vertex=TopoDS::Vertex(aVertexExplorer.Current();
const gp_Pnt& p=BRep_Tool::Pnt(vertex);
aVertexExplorer.Next();
}

I get two vertices for this case. However, the first vertex is not the location where R1 is applied. Why?

Thanks.

Sean